# Toadsuck.Skeleton

Skeleton PHP-MVC application implementing the components from the [Toadsuck Project](http://toadsuck.github.io).

Use this as a clean starting point in your Toadsuck-based projects.

Briefly, the Toadsuck Project bundles the following components and lets them work together to form the 
basic building blocks of a PHP application:

- Routing - [Aura.Router](https://github.com/auraphp/Aura.Router)
- HTTP Abstraction - [Symfony\HttpFoundation](https://github.com/symfony/HttpFoundation)
- Templates - [Plates Native PHP Templates](http://platesphp.com/)
- Database Abstraction - [Illuminate\Database](https://github.com/illuminate/database)
- Configuration Management - [FuelPHP\Config](https://github.com/fuelphp/config)
- Unit Tests - [PHPUnit](https://github.com/sebastianbergmann/phpunit) (of course, why use anything else?)

Read the docs at <https://github.com/toadsuck/toadsuck-core/blob/master/README.md>

## Installation
Installation of this package is easy with Composer. If you aren't familiar with the Composer Dependency Manager for PHP, [you should read this first](https://getcomposer.org/doc/00-intro.md).

If you don't already have [Composer](https://getcomposer.org) installed (either globally or in your project), you can install it like this:

``` bash
$ curl -sS https://getcomposer.org/installer | php
```

Then you can create a new Toadsuck Skeleton project:

``` bash
$ composer create-project toadsuck/skeleton your-project-name --stability=dev
```